flake8:
    script:
        - pip install --user flake8
        - hg files -0 'set:(**.py or grep("^#!.*python")) - removed()' -X hgext3rd/evolve/thirdparty | xargs -0 ~/.local/bin/flake8
tests:
    script:
        - echo $PWD
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
        - hg clone https://mirror.octobus.net/hg/ /tmp/mercurial-clone-`hg log -r . -T "{node}"` --config share.pool=/tmp/
        - hg -R /tmp/mercurial-clone-`hg log -r . -T "{node}"` update `hg log -r . -T '{branch}'`
        - (cd tests; /tmp/mercurial-clone-`hg log -r . -T "{node}"`/tests/run-tests.py -j 3)
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
